io.etcd.jetcd.options

## Class DeleteOption

- java.lang.Object
- - io.etcd.jetcd.options.DeleteOption

    public final class DeleteOption
    extends Object

### Nested Class Summary

Nested Classes
`static class` `DeleteOption.Builder`

### Field Summary

Fields
`static DeleteOption` `DEFAULT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Optional<ByteSequence>` `getEndKey()`
`boolean` `isPrevKV()` Whether to get the previous key/value pairs before deleting them.
`static DeleteOption.Builder` `newBuilder()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final DeleteOption DEFAULT

### Method Detail

#### newBuilder

    public static DeleteOption.Builder newBuilder()

#### getEndKey

    public Optional<ByteSequence> getEndKey()

#### isPrevKV

    public boolean isPrevKV()

Whether to get the previous key/value pairs before deleting them.

Returns:
  true if get the previous key/value pairs before deleting them, otherwise false.